Namespace SmtpSendMail
	Public Class ContentTextBox
		Inherits System.Windows.Forms.TextBox
		' Indicates whether the message was modified.
		Private _changed As Boolean = False

		''' <summary>
		''' Gets or sets the boolean flag indicating whether the content has been changed.
		''' </summary>
		Public Property Changed() As Boolean
			Get
				Return _changed
			End Get
			Set(ByVal value As Boolean)
				_changed = value
			End Set
		End Property

		''' <summary>
		''' Handles the TextChanged event.
		''' </summary>
		''' <param name="e">The event arguments.</param>
		Protected Overrides Sub OnTextChanged(ByVal e As EventArgs)
			MyBase.OnTextChanged(e)
			_changed = True
		End Sub
	End Class
End Namespace
